FreeMat

- Main Page
- Related Pages

vtkPExtractArraysOverTime

Section: Visualization Toolkit Parallel Classes

# Usage

vtkPExtractArraysOverTime is a parallelized version of vtkExtractArraysOverTime. vtkExtractArraysOverTime extract point or cell data given a selection. For every cell or point extracted, vtkExtractArraysOverTime create a vtkTable that is placed in an appropriately named block in an output multi-block dataset. For global-id based selections or location based selections, it's possible that over time the cell/point moves across processes. This filter ensures that such extractions spread across processes are combined correctly into a single vtkTable. This filter produces a valid output on the root node alone, all other nodes, simply have empty multi-block dataset with number of blocks matching the root (to ensure that all processes have the same structure).

To create an instance of class vtkPExtractArraysOverTime, simply invoke its constructor as follows

      obj = vtkPExtractArraysOverTime

# Methods

The class vtkPExtractArraysOverTime has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPExtractArraysOverTime class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPExtractArraysOverTime = obj.NewInstance ()`
- `vtkPExtractArraysOverTime = obj.SafeDownCast (vtkObject o)`
- `obj.SetController (vtkMultiProcessController )` - Set and get the controller.
- `vtkMultiProcessController = obj.GetController ()` - Set and get the controller.